Package org.wso2.carbon.viewflows.stub

## Class GetHandlerNamesForPhase

- java.lang.Object
- - org.wso2.carbon.viewflows.stub.GetHandlerNamesForPhase

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class GetHandlerNamesForPhase
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetHandlerNamesForPhase bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GetHandlerNamesForPhase.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `localFlow` | field for Flow
    `protected boolean` | `localFlowTracker` |
    `protected String` | `localPhase` | field for Phase
    `protected boolean` | `localPhaseTracker` |
    `static QName` | `MY_QNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetHandlerNamesForPhase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFlow()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `String` | `getPhase()` | Auto generated getter method
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isFlowSpecified()` |
    `boolean` | `isPhaseSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setFlow​(String param)` | Auto generated setter method
    `void` | `setPhase​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localFlow

          protected String localFlow

      field for Flow

    - #### localFlowTracker

          protected boolean localFlowTracker

    - #### localPhase

          protected String localPhase

      field for Phase

    - #### localPhaseTracker

          protected boolean localPhaseTracker

  - ### Constructor Detail

    - #### GetHandlerNamesForPhase

          public GetHandlerNamesForPhase()

  - ### Method Detail

    - #### isFlowSpecified

          public boolean isFlowSpecified()

    - #### getFlow

          public String getFlow()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFlow

          public void setFlow​(String param)

      Auto generated setter method
      Parameters:
        `param` - Flow

    - #### isPhaseSpecified

          public boolean isPhaseSpecified()

    - #### getPhase

          public String getPhase()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPhase

          public void setPhase​(String param)

      Auto generated setter method
      Parameters:
        `param` - Phase

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`